Subject: Re: [mif] Preferring IPv4 interface over IPv6 interface? A problem to be covered?

From: <[email-masked]>
Date: Sun, 8 Aug 2010 21:00:48 +0200

Hi,

Thanks for the pointers (I had missed that discussion for some reason). I think I agree with you Zhen that this case is not covered in RFC3484.. I.e. Host with dual-stack interface (both public addr) should usually prefer IPv6. Host with one IPv4 interface and one IPv6 interface may or may not want to prefer IPv6, depending on the scenario at hand.

The problem statement's section 4.2 bullet 2 comes really close to this, but could clarify (add) the case where destination is dual-stack reachable but with different characteristics (e.g. Costs) for different AFs.

Best regards,

Teemu

----- Original message -----
> Hi
>
> This problem has been discussed in the list before, as
> http://www.ietf.org/mail-archive/web/mif/current/msg00700.html
> http://www.ietf.org/mail-archive/web/mif/current/msg00701.html
>
> Address selection of the current problem statement may have already
> covered this issue implicitly.
>
> -Zhen
>
> On Sun, Aug 8, 2010 at 3:48 PM,  <[email-masked]<mailto:[email-masked]>> wrote:
> > Hi,
> >
> > The scenario I have in my mind is following.
> >
> > The current very common practice is that single homed mobile phones
> select
> > WLAN over cellular if both kinds of networks are reachable.
> >
> > Now if the mobile phone becomes multihomed, it will dynamically choose
> for
> > each transport session which interface to use (assuming both are
> "default").
> >
> > If the cellular operator is quicker to deploy IPv6 than WLAN operator,
> it
> > might become a problem that host favors cellular interface too much:
> from
> > cellular operator and maybe from user point of view as well (this
> relates to
> > "traffic offloading"). This may be even exaggerated by NAT64 in
> IPv6-only
> > cellular access making all IPv4 internet look like being reachable
> over IPv6
> > (but for this case we are also working in behave to enable host detect
> NAT64
> > and downprioritize IPv6 addresses with ISP NAT64 prefix).
> >
> > Hence in such scerios - for operational and cost reasons - we think
> there
> > might be need for hosts to prefer IPv4 over IPv6 for "bulk
> traffic" (when
> > application does not care - of course always on apps, listeners, P2P
> etc may
> > prefer IPv6 still).
> >
> > Best regards,
> >
> > Teemu
> >
> > ----- Original message -----
> > > On 2010-08-08 15:02, Ted Lemon wrote:
> > > > On Aug 7, 2010, at 6:57 PM, Brian E Carpenter wrote:
> > > > > There's nothing to prevent such a mechanism also
> > > > > defining interface preferences.
> > > >
> > > > Yes, there is.      Presumably, if there is some difference between
> the
> > > interfaces, it will be because each interface is connected to a
> network
> > > managed by a different entity.      Thus, there is no reasonable basis
> for
> > > assuming that what either entity defines as a policy is in fact valid
> > > for the node.
> > >
> > > That could well be, in which case the host's own policy should
> > > predominate.
> > > I guess my point is that we don't know the deployment scenario, so we
> > > need
> > > mechanisms that can be applied in a wide range of scenarios, not just
> > > yours
> > > or mine.
> > >
> > > Brian
> > > _______________________________________________
> > > mif mailing list
> > > [email-masked]<mailto:[email-masked]>
> > > https://www.ietf.org/mailman/listinfo/mif
> > >
> >
> >
> > _______________________________________________
> > mif mailing list
> > [email-masked]<mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/mif
> >
> >
>